Bug 1653408 - mock-core-configs: latest update uninstallable
Summary: mock-core-configs: latest update uninstallable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mock-core-configs
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 18:56 UTC by Carl George
Modified: 2018-11-29 13:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 13:40:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 2018-11-26 18:56:38 UTC
Description of problem:
The latest version of mock-core-configs in F27 updates-testing is not installable.  It requires distribution-gpg-keys >= 1.26, which does not exist for F27.

Version-Release number of selected component (if applicable):
mock-core-configs-29.4-1.fc27

How reproducible:
always

Steps to Reproduce:
1. yum --enablerepo updates-testing update mock-core-configs

Actual results:
 Problem: cannot install the best update candidate for package mock-core-configs-29.2-1.fc27.noarch
  - nothing provides distribution-gpg-keys >= 1.26 needed by mock-core-configs-29.4-1.fc27.noarch

Expected results:
successful installation

Comment 1 Ben Cotton 2018-11-27 13:28:45 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Carl George 2018-11-29 13:40:20 UTC
The maintainer has unpushed mock-core-configs-29.4-1.fc27 to resolve the issue.

https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c4b1fc4f7#comment-868436


Note You need to log in before you can comment on or make changes to this bug.